---
updatedAt: 2025-06-11T20:48:43.000Z
agentTools:
  projectIndex: https://docs.acefone.co.uk/llms.txt
---

# Update contact in contact group

This API allows you to update contacts in contact group.

### Sample Request

```java
curl --request PUT \
     --url https://api-account-uk.acefone.com/v1/contact/id \
     --header 'accept: application/json' \
     --header 'content-type: application/json'
```

📘 Important!

> Before we begin, note that the \* sign denotes the mandatory variables in each table.

### Request Variables (Path Params)

The following parameter is required to update contact in contact group:

| **Variable Name** | **Description**                            | **Data Type** |
| ----------------- | ------------------------------------------ | ------------- |
| id                | Unique ID of the contact in contact group. | string        |

### Request Variables (Body Params)

The following parameter is required to update contact in contact group:

| **Variable Name** | **Description**          | **Data Type** |
| ----------------- | ------------------------ | ------------- |
| field\_0\*        | Phone number of contact. | String        |
| field\_1          | Name of contact.         | String        |
| field\_2          | Email ID of contact.     | String        |
| field\_3          | Address of contact.      | String        |
| field\_4          | Company name of contact. | String        |
| field\_5          | Custom Field 1.          | String        |
| field\_6          | Custom Field 2.          | String        |
| field\_7          | Custom Field 3.          | String        |
| field\_8          | Custom Field 4.          | String        |
| field\_9          | Custom Field 5.          | String        |
| field\_10         | Custom Field 6.          | String        |
| field\_11         | Custom Field 7.          | String        |
| field\_12         | Custom Field 8.          | String        |
| field\_13         | Custom Field 9.          | String        |
| field\_14         | Custom Field 10.         | String        |
| field\_15         | Custom Field 11.         | String        |

### Response Variables

The response returned is as following:

| **Variable Name** | **Description**                                                                                                                                                       | **Data Type** |
| ----------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------- |
| Success           | The request success status, the possible values are: **True** (default) for success. **False** for failure.                                                           | Boolean       |
| Message           | The message corresponding to the success status. For example, in **400** Response where the "success" variable pops as **True**, the message displayed is shown here. | String        |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "acefone-uk-base-api-config",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api-account-uk.acefone.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/v1/contact/{id}": {
      "put": {
        "summary": "Update contact in contact group",
        "description": "This API allows you to update contacts in contact group.",
        "operationId": "update-contact-in-contact-group",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "field_0"
                ],
                "properties": {
                  "field_0": {
                    "type": "string",
                    "description": "Phone number of contact."
                  },
                  "field_1": {
                    "type": "string",
                    "description": "Name of contact."
                  },
                  "field_2": {
                    "type": "string",
                    "description": "Email ID of contact."
                  },
                  "field_3": {
                    "type": "string",
                    "description": "Address of contact."
                  },
                  "field_4": {
                    "type": "string",
                    "description": "Company name of contact"
                  },
                  "field_5": {
                    "type": "string",
                    "description": "Custom Field 1."
                  },
                  "field_6": {
                    "type": "string",
                    "description": "Custom Field 2."
                  },
                  "field_7": {
                    "type": "string",
                    "description": "Custom Field 3."
                  },
                  "field_8": {
                    "type": "string",
                    "description": "Custom Field 4."
                  },
                  "field_9": {
                    "type": "string",
                    "description": "Custom Field 5."
                  },
                  "field_10": {
                    "type": "string",
                    "description": "Custom Field 6."
                  },
                  "field_11": {
                    "type": "string",
                    "description": "Custom Field 7."
                  },
                  "field_12": {
                    "type": "string",
                    "description": "Custom Field 8."
                  },
                  "field_13": {
                    "type": "string",
                    "description": "Custom Field 9."
                  },
                  "field_14": {
                    "type": "string",
                    "description": "Custom Field 10."
                  },
                  "field-15": {
                    "type": "string",
                    "description": "Custom Field 11."
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```